Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 440266 - qt4-r2.eclass: eqmake4() does not respect AR
Summary: qt4-r2.eclass: eqmake4() does not respect AR
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2012-10-30 13:13 UTC by Agostino Sarubbo
Modified: 2012-11-08 09:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (PyQt4-4.9.4-r1.log.bz2,24.47 KB, text/bzip2)
2012-10-30 14:07 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-10-30 13:13:39 UTC
ar cqs libqpydbus.a qpydbus_chimera_helpers.o qpydbus_post_init.o qpydbuspendingreply.o qpydbusreply.o
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2012-10-30 13:24:06 UTC
Please attach a build.log
Comment 2 Agostino Sarubbo gentoo-dev 2012-10-30 14:07:04 UTC
Created attachment 327782 [details]
build.log

The build log for this kind of issue does not help.
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2012-10-30 14:09:45 UTC
It's better than a single line of the build output
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2012-11-07 08:59:01 UTC
Seems about right to me. This will also fix other packages too (https://bugs.gentoo.org/show_bug.cgi?id=435052) where running eqmake4 was not enough to pick the correct 'ar' executable.
Comment 6 Davide Pesavento gentoo-dev 2012-11-08 09:43:47 UTC
Fixed in cvs. Thanks!